> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/candidate-circuits > Get the candidate circuits for a device ## OpenAPI ````json GET /v1/devices/{deviceId}/candidate-circuits { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/candidate-circuits": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdCandidateCircuitsGetResponse" } } } } }, "description": "Get the candidate circuits for a device" } } }, "components": { "schemas": { "v1DevicesDeviceIdCandidateCircuitsGetResponse": { "type": "object", "properties": { "circuits": { "type": "array", "items": { "$ref": "#/components/schemas/v1DevicesDeviceIdCandidateCircuitsGetResponseCircuitInfo" } } }, "additionalProperties": false }, "v1DevicesDeviceIdCandidateCircuitsGetResponseCircuitInfo": { "type": "object", "properties": { "circuit": { "type": "string", "example": "example string" }, "interface": { "type": "string", "example": "example string" }, "loopbackInterface": { "type": "string", "example": "example string" }, "vrf": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````